Redmine - Defect #14995

Japanese "notice_not_authorized" translation is incorrect
2013-09-27 07:04 - Akihiro MATOBA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 2.4.0

Resolution: Fixed Affected version: 233
Description

source:trunk/config/locales/ja.yml#L 191

incorrect:

notice_not_authorized: [000000000000000000000

correct:

notice_not_authorized: 0000000000000000000000

reproduce procedure:
Log in an account not have administrator role, then try to open /admin.

Associated revisions

Revision 12177 - 2013-09-30 04:37 - Toshi MARUYAMA

Japanese "notice_not_authorized" translation changed (#14995)

History

#1 - 2013-09-27 22:00 - Jan Niggemann (redmine.org team member)
- Assignee set to Toshi MARUYAMA

#2 - 2013-09-30 03:32 - Toshi MARUYAMA
- Assignee deleted (Toshi MARUYAMA)

#3 - 2013-09-30 03:34 - Toshi MARUYAMA

- Subject changed from Japanese: incorrect message to notice_not_authorized is incorrect
- Category changed from Translations to Ul

- Affected version (unused) set to 2.3.3

- Affected version set to 2.3.3
#4 - 2013-09-30 03:36 - Toshi MARUYAMA
English:
notice_not_authorized: You are not authorized to access this page.
Should it be "You do not have permissions to access this page."?
#5 - 2013-09-30 04:05 - Mischa The Evil
Toshi MARUYAMA wrote:
English:
notice_not_authorized: You are not authorized to access this page.
Should it be "You do not have permissions to access this page."?

Well, | think the current English translation is correct because authorization is (very briefly and highly generalized) the process of specifying and
controlling access rights based on predefined permissions (read: you are not authorized... == you do not have permissions...).
Why do you think such a change is (possibly) needed? Or is it that you wanted to check the meaning of this English translation to make sure whether
or not the Japanese translation needs to be changed as proposed by Akihiro MATOBA?

#6 - 2013-09-30 04:43 - Toshi MARUYAMA
- Subject changed from notice_not_authorized is incorrect to Japanese "notice_not_authorized" translation is incorrect
- Category changed from Ul to Translations

- Target version set to 2.4.0

#7 - 2013-09-30 04:45 - Toshi MARUYAMA
- Status changed from New to Closed
- Resolution set to Fixed
Mischa The Evil wrote:
Toshi MARUYAMA wrote:
English:
notice_not_authorized: You are not authorized to access this page.
Should it be "You do not have permissions to access this page."?
Well, | think the current English translation is correct because authorization is (very briefly and highly generalized) the process of specifying and
controlling access rights based on predefined permissions (read: you are not authorized... == you do not have permissions...).
Why do you think such a change is (possibly) needed? Or is it that you wanted to check the meaning of this English translation to make sure

whether or not the Japanese translation needs to be changed as proposed by Akihiro MATOBA?

Thank you.
| have translated Japanese r12177 simply from English.
